using System;
using System.Collections.Generic;

namespace TourDataManager {

    public class BigantoErrorException : Exception {
        public BigantoErrorList ErrorsList;

        public BigantoErrorException(BigantoErrorList errors){
            ErrorsList = errors;
        }
    }
    
    public struct BigantoErrorList {
        public List<BigantoError> Errors;
    }
    
    public struct BigantoError {
        public int Code;
        public string Message;

        public override string ToString(){ return $"code={Code};message={Message}"; }
    }
}