using System;
using System.Threading.Tasks;

namespace TourDataManager {
    public interface IAuthenticator {
        (bool,string) Login(string email, string password);
        Task<(bool,string)> LoginAsync(string email, string password);
        void Logout();
    }
}